Bug 169924 - Review Request: scim-m17n - SCIM IMEngine for m17n-lib
Summary: Review Request: scim-m17n - SCIM IMEngine for m17n-lib
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review   
(Show other bugs)
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Warren Togami
QA Contact: David Lawrence
URL: http://www.scim-im.org/projects/
Whiteboard:
Keywords:
Depends On: m17n-lib-review
Blocks: FE-ACCEPT
TreeView+ depends on / blocked
 
Reported: 2005-10-05 08:02 UTC by Jens Petersen
Modified: 2007-11-30 22:11 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-11-15 03:02:36 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
segfault backtrace (2.96 KB, text/plain)
2005-10-19 13:22 UTC, Ryo Dairiki
no flags Details
Another backtrace (2.10 KB, text/plain)
2005-10-19 13:24 UTC, Ryo Dairiki
no flags Details

Description Jens Petersen 2005-10-05 08:02:38 UTC
Spec Name or Url: http://people.redhat.com/petersen/extras/scim-m17n.spec
SRPM Name or Url: http://people.redhat.com/petersen/extras/scim-m17n-0.1.4-1.src.rpm
Description:
scim-m17n provides a SCIM IMEngine for m17n-lib, which allows
input of many languages using the input table maps from m17n-db.

Comment 1 Jens Petersen 2005-10-05 08:08:11 UTC
scim-m17n depends on m17n-lib (bug 169922), which in turn depends on
m17n-db (bug 169919).

Comment 2 Ryo Dairiki 2005-10-19 13:22:20 UTC
Created attachment 120162 [details]
segfault backtrace

I've tested scim-m17n on FC4 with xeon(x86_64) x 2.
When I run scim, I've got a segfault.

This is a backtrace of this problem.
It seems like stl allocator used by stl vector has something to do with this.

Comment 3 Ryo Dairiki 2005-10-19 13:24:13 UTC
Created attachment 120163 [details]
Another backtrace

This is another backtrace.
I also have trouble with socket plugin, only when I use scim-m17n with it.
The reason seems to be the same as the previous one.

Comment 4 Jens Petersen 2005-11-09 07:37:03 UTC
Hmmm, I can't reproduce it here with or without smp.

Comment 5 Warren Togami 2005-11-10 03:09:30 UTC
APPROVED

Comment 6 Jens Petersen 2005-11-11 09:57:03 UTC
Thank you - imported into cvs.

Comment 7 Jens Petersen 2005-11-15 03:02:36 UTC
Built.


Note You need to log in before you can comment on or make changes to this bug.